Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 615731 - SELinux is preventing /usr/bin/wodim "setrlimit" access .
SELinux is preventing /usr/bin/wodim "setrlimit" access .
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: selinux-policy (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
Karel Srot
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-18 06:19 EDT by Matěj Cepl
Modified: 2011-05-19 07:54 EDT (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-59.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 07:54:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0526 normal SHIPPED_LIVE selinux-policy bug fix and enhancement update 2011-05-19 05:37:41 EDT

  None (edit)
Description Matěj Cepl 2010-07-18 06:19:05 EDT
Souhrn:

SELinux is preventing /usr/bin/wodim "setrlimit" access .

Podrobný popis:

[wodim je v toleratním režimu (cdrecord_t). Přístup byl povolen.]

SELinux denied access requested by wodim. It is not expected that this access is
required by wodim and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Povolení přístupu:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Další informace:

Kontext zdroje                staff_u:staff_r:cdrecord_t:s0-s0:c0.c1023
Kontext cíle                 staff_u:staff_r:cdrecord_t:s0-s0:c0.c1023
Objekty cíle                 None [ process ]
Zdroj                         wodim
Cesta zdroje                  /usr/bin/wodim
Port                          <Neznámé>
Počítač                    johanka.ceplovi.cz
RPM balíčky zdroje          wodim-1.1.9-11.el6
RPM balíčky cíle           
RPM politiky                  selinux-policy-3.7.19-31.el6
Selinux povolen               True
Typ politiky                  targeted
Vynucovací režim            Enforcing
Název zásuvného modulu     catchall
Název počítače            johanka.ceplovi.cz
Platforma                     Linux johanka.ceplovi.cz 2.6.32-44.el6.x86_64 #1
                              SMP Wed Jul 7 15:47:50 EDT 2010 x86_64 x86_64
Počet upozornění           2
Poprvé viděno               So 17. červenec 2010, 07:31:23 CEST
Naposledy viděno             So 17. červenec 2010, 11:39:41 CEST
Místní ID                   cf5c6e8e-ad5c-4624-afbf-f9ecea7231dc
Čísla řádků              

Původní zprávy auditu      

node=johanka.ceplovi.cz type=AVC msg=audit(1279359581.166:3785): avc:  denied  { setrlimit } for  pid=7602 comm="wodim" scontext=staff_u:staff_r:cdrecord_t:s0-s0:c0.c1023 tcontext=staff_u:staff_r:cdrecord_t:s0-s0:c0.c1023 tclass=process

node=johanka.ceplovi.cz type=SYSCALL msg=audit(1279359581.166:3785): arch=c000003e syscall=160 success=yes exit=68719476864 a0=8 a1=7fff6cfe0dd0 a2=37ccb7ae10 a3=fffffffa items=0 ppid=2343 pid=7602 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="wodim" exe="/usr/bin/wodim" subj=staff_u:staff_r:cdrecord_t:s0-s0:c0.c1023 key=(null)
Comment 2 RHEL Product and Program Management 2010-07-18 06:37:31 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 5 Miroslav Grepl 2010-12-09 11:11:10 EST
Fixed in selinux-policy-3.7.19-59.el6
Comment 8 errata-xmlrpc 2011-05-19 07:54:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0526.html

Note You need to log in before you can comment on or make changes to this bug.